Subject: [Jmap] JMAP protocol: transport

From: Philippe Duke <[email-masked]>
Date: Sun, 12 Feb 2017 21:56:28 +0200

Hello members of JMAP WG,

I would like to join your discussion to help create a new email fetch
protocol. I would like to ask is what is the current state of design?

How do you plan to implement notifications? What would transport SHOULD
be used? Will the protocol be TCP-independent and work only on top of
HTTP like RFC6455?

  What is your view on special  mailboxes (like Inbox, Drafts, Trash,
Spam and so on) already done by [RFC6154]? So many clients have a mess
with IMAP LIST special folders.

As far as I realize, the base approach of the JMAP is to make mail
access available from browser applications without need to interop on
IMAP. What is your approach for WebSocket [RFC6455]?

-- 
Philippe Duke
Network software engineer
System-level developer

NetAssist LLC
Ukraine
Khreshchatyk Street, 10B, office 8
AS29632

http://netassist.ua
Our GitHub Repository:
https://github.com/netassist-ua

---

From: Yoav Nir <[email-masked]>
Date: Mon, 13 Feb 2017 08:44:48 +0200

Hi, Philippe

> protocol. I would like to ask is what is the current state of design?

The current state is that there is a mailing list and a proposed charter for a working group.

There are also two drafts that have the current design by Neil Jenkins from FastMail:
https://tools.ietf.org/html/draft-jenkins-jmap-00 <https://tools.ietf.org/html/draft-jenkins-jmap-00>
https://tools.ietf.org/html/draft-jenkins-jmapmail-00 <https://tools.ietf.org/html/draft-jenkins-jmapmail-00>

Of course, if and when a working group is formed, all change control goes to the group, and if the group decides to replace the JSON with DER and OOB attachments with in-band RFC3252-encoded attachments, then that what is going to be (although that would be regrettable)

> be used? Will the protocol be TCP-independent and work only on top of

Current design is a web service on top of HTTPS.

> with IMAP LIST special folders.

There is some info on that in section 2 of https://tools.ietf.org/html/draft-jenkins-jmapmail-00 <https://tools.ietf.org/html/draft-jenkins-jmapmail-00>

> IMAP. What is your approach for WebSocket [RFC6455]?

When you use email from a browser application, you’re really downloading the application from the mail provider. You don’t really need standardization to have a gmail client provided by Google talk to the gmail servers. The protocol’s aim (see this: https://www.ietf.org/mail-archive/web/imapext/current/msg05820.html <https://www.ietf.org/mail-archive/web/imapext/current/msg05820.html> ) is to allow you to “write a good MUA”, so not necessarily a browser. Perhaps not even primarily a browser.

HTH

Yoav